//--------------------  FUSES DEL PIC 18F4550  ------------------------------//
#pragma config PLLDIV = 5         // Divide by 5 (20 MHz oscillator input)    /
#pragma config CPUDIV = OSC1_PLL2 // [OSC1/OSC2 Src: /1][96 MHz PLL Src: /2]  /
#pragma config USBDIV = 2         // USB clock source from the 96 MHz PLL/2   /
#pragma config FOSC   = HSPLL_HS  // CPU: 48Mhz                               /
#pragma config FCMEN  = OFF       // Fail-Safe Clock Monitor disabled         /
#pragma config IESO   = OFF       // Oscillator Switchover mode disabled      /
#pragma config PWRT   = OFF       // Power-up timer enable bit disabled       /
#pragma config BOR    = OFF       // Brown-out Reset disabled hard. and soft  /
#pragma config BORV   = 3         // Brown-out voltage bit (Minimum setting)  /
#pragma config VREGEN = ON        // USB Voltage Regulator                    /
#pragma config WDT    = OFF       // Watchdog hard.disabled-soft.controlled   /
#pragma config WDTPS  = 32768     // Watchdog timer postscale 1:32768         /
#pragma config MCLRE  = ON        // MCLRE enabled, RE3 input pin disabled    /
#pragma config LPT1OSC= OFF       // Timer1 config.for higher power operation /
#pragma config PBADEN = OFF       // PORTB<4:0> pins as digital I/O on Reset  /
#pragma config CCP2MX = ON        // CCP2 I/O is multiplexed with RB3         /
#pragma config STVREN = OFF       // Stack full/underflow WILL NOT Reset      /
#pragma config LVP    = OFF       // Single-Supply ICSP disabled              /
#pragma config ICPRT  = OFF       // ICPORT disabled                          /
#pragma config XINST  = OFF       // Extended Instruction Set disabled        /
#pragma config CP0    = OFF       // (000800-001FFFh) not code-protected      /
#pragma config CP1    = OFF       // (002000-003FFFh) not code-protected      /
#pragma config CP2    = OFF       // (004000-005FFFh) not code-protected      /
#pragma config CP3    = OFF       // (006000-007FFFh) not code-protected      /
#pragma config CPB    = OFF       // Boot block(000-7FFh)not code-protected   /
#pragma config CPD    = OFF       // Data EEPROM not code-protected           /
#pragma config WRT0   = OFF       // Block 0 (0800-1FFFh) not write-protected /
#pragma config WRT1   = OFF       // Block 1 (2000-3FFFh) not write-protected /
#pragma config WRT2   = OFF       // Block 2 (4000-5FFFh) not write-protected /
#pragma config WRT3   = OFF       // Block 3 (6000-7FFFh) not write-protected /
#pragma config WRTB   = OFF       // Boot block(000-7FFh) not write-protected /
#pragma config WRTC   = OFF       // Registers(300000-3000FFh)not w.protected /
#pragma config WRTD   = OFF       // Data EEPROM not write-protected          /
#pragma config EBTR0  = OFF       // Block 0 (000800-001FFFh) not protected   /
#pragma config EBTR1  = OFF       // Block 1 (002000-003FFFh) not protected   /
#pragma config EBTR2  = OFF       // Block 2 (004000-005FFFh) not protected   /
#pragma config EBTR3  = OFF       // Block 3 (006000-007FFFh) not protected   /
#pragma config EBTRB  = OFF       // Boot block (000000-0007FFh) not protected/
